version: '3.4'

services:
  managingdb:
    image: mongo
    networks:
      - managing-network

  managing.api:
    image: ${DOCKER_REGISTRY-}managingapi
    build:
      context: ../.
      dockerfile: Managing.Api/Dockerfile
    networks:
      - managing-network

  managing.api.workers:
    image: ${DOCKER_REGISTRY-}managingapiworkers
    build:
      context: ../.
      dockerfile: Managing.Api.Workers/Dockerfile
    networks:
      - managing-network

  influxdb:
    image: influxdb:latest
    networks:
      - managing-network

  postgres:
    image: postgres:17.5
    networks:
      - managing-network

volumes:
  mongodata: {}
  influxdata: {}
  postgresdata: {}

networks:
  managing-network:
    name: managing-network